INSTALL(1)

NAZWA
ginstall - kopiuje pliki i nadaje im atrybuty

SKŁADNIA
ginstall [opcje]... plik_źródłowy plik_docelowy
ginstall [opcja]... plik_źródłowy katalog
ginstall [opcja]... -d [opcja]... katalog...

OPIS
Ta strona opisuje program install w wersji GNU. Dokumentacja niniejsza nie jest już utrzymywana i może być niedokładna lub niekompletna. Autorytatywnym źródłem jest obecnie dokumentacja Texinfo. Dostęp do niej uzyskasz wpisując w wierszu poleceń:
    pinfo install
lub
    info install.

W pierwszych dwu formatach pliki źródłowe są kopiowane na docelowe lub do katalogu docelowego. W trzecim formacie wywołania, tworzony jest zadany katalog(i) i wszelkie brakujące katalogi nadrzędne (rodzicielskie).

install kopiuje pliki i nadaje im prawa dostępu oraz, jeżeli jest to możliwe, właściciela i grupę. Używany jest podobnie do cp; najczęściej w plikach Makefile w celu kopiowania programów do ich katalogów docelowych. Może też zostać użyty do stworzenia tych katalogów (wraz z całą ścieżką dostępu, jeżeli ta nie istnieje), oraz ustawienia ich praw dostępu. Nie można kopiować plików na same siebie.

  OPCJE

-b [metoda], --backup[=metoda]
    Tworzy kopie zapasowe tych plików, które mają być nadpisane lub usunięte. Zobacz opis opcji -V oraz sekcja `Opcje kopii zapasowych' w podręczniku fileutils(1).

-c  Opcja ignorowana; pozostawiona dla kompatybilności ze starymi wersjami programu pochodzącymi z systemów Unix.

-C  Instaluje plik, chyba że plik docelowy już istnieje i jest taki sam, jak nowy plik. W takim przypadku nie będzie zmieniany czas modyfikacji.

-d, --directory
    Traktuje wszystkie argumenty jak nazwy katalogów. Tworzy każdy dany katalog oraz jego katalogi nadrzędne, jeżeli jeszcze nie istnieją. Nadaje właściciela, grupę oraz prawa dostępu zgodnie z opcjami z wiersza poleceń lub wartościami domyślnymi. Wszystkie tworzone katalogi nadrzędne dostają te same atrybuty. Jest to działanie odmienne w stosunku do wersji programu install z systemu SunOS 4.x, gdzie tworzone katalogi dostają domyślne atrybuty.

-D  Twórz wszystkie wiodące składowe docelowego, oprócz ostatniej, następnie skopiuj źródło na cel; przydatne w pierwszym formacie składni polecenia.

-g grupa, --group=grupa
    Ustawia grupę pliku lub katalogu zgodnie z podanym parametrem (domyślną wartością jest bieżąca grupa procesu). Parametr grupa może być również numerycznym identyfikatorem grupy.

-m prawa_dostępu, --mode=prawa_dostępu
    Ustawia prawa dostępu instalowanego pliku lub tworzonego katalogu zgodnie z parametrem. Prawa mogą być podane jako liczba w systemie ósemkowym lub w postaci symbolicznej, jak w programie chmod, z 0 jako punktem wyjścia (zobacz `Prawa pliku' w fileutils(1)). Domyślnym trybem dostępu jest `u=rwx,go=rx' -- odczyt, zapis i wykonywanie dla właściciela, odczyt i wykonywanie dla grupy i pozostałych użytkowników.

-o właściciel, --owner=właściciel
    Jeżeli program jest uruchomiony przez superużytkownika (roota), ustawia właściciela pliku zgodnie z podaną wartością (domyślną wartością jest root). Właściciel może być określony albo przez nazwę użytkownika albo jego numeryczny identyfikator.

-p, --preserve-timestamps
    Ustawia czas ostatniego dostępu i czas ostatniej modyfikacji każdego instalowanego pliku tak, by odpowiadały odpowiednim czasom oryginalnych plików. Jeśli plik jest instalowany bez tej opcji, to czas ostatniego dostępu i ostatniej modyfikacji tego pliku ustawiane są na czas instalacji. Opcja ta jest przydatna jeśli chcemy używać czasów ostatniej modyfikacji instalowanych plików, by widzieć, kiedy były ostatnio tworzone a nie kiedy były instalowane.

-s ,  --strip
    Usuwa tablice symboli z instalowanych programów. Ma zastosowanie tylko przy składni pierwszego i drugiego formatu.

-S przyr_kopii, --suffix=przyr_kopii
    Dodaje przyrostek przyr_kopii do nazwy każdego pliku kopii zapasowej wykonanego za pomocą -b. Jeśli opcja ta nie zostanie podana, to użyta zostanie wartość zmiennej środowiskowej SIMPLE_BACKUP_SUFFIX. Jeśli ona również nie jest określona, to użyty zostanie domyślny znak `~', jak w Emacsie.

--target-directory=katalog
    Określa katalog docelowy. Zobacz sekcja `Katalog docelowy' w fileutils(1).

-v, --verbose
    Wypisuje nazwę każdego pliku przed jego skopiowaniem.

-V metoda, --version-control=metoda
    Zmienia metodę kopii zapasowych wykonywanych za pomocą -b. Jeśli opcja ta nie zostanie podana, to użyta zostanie wartość zmiennej środowiskowej VERSION_CONTROL. Jeśli nie zdefiniowano również VERSION_CONTROL to użyta zostanie domyślny typ kopii zapasowej: `existing'. Opcja ta odpowiada zmiennej `version-control' Emacsa: używane są te same wartości dla typu kopii. Rozpoznają także bardziej opisowe synonimy. Prawidłowe wartości to (unikalne skróty są dopuszczalne):

    t, numbered
        Zawsze tworzy numerowane kopie zapasowe.

    nil, existing
        Tworzy numerowane kopie zapasowe plików, które już je mają, zwykłe kopie dla reszty.

    never, simple
        Robi zawsze zwykłe kopie zapasowe (uzyskiwane przez dodanie przyrostka wg opcji -S).

--help
    Wyświetla informację o stosowaniu programu i dostępnych opcjach, kończy działanie.

--version
    Wyświetla numer wersji programu i kończy działanie.

AUTOR
Napisane przez Davida MacKenzie.

ZGŁASZANIE BŁĘDÓW
Błędy proszę zgłaszać, w jęz. ang., do <bug-fileutils@gnu.org>.

COPYRIGHT
Copyright © 1999 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

ZOBACZ TAKŻE
cp(1), chmod(1), chown(1), touch(1), fileutils(1).

OD TŁUMACZA
Zaktualizowano i poszerzono wg dokumentacji Texinfo dla narzędzi plikowych GNU wersji 4.01.